> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transactions by account

> Returns the transactions from the address.



## OpenAPI

````yaml get /v1/account/txs
openapi: 3.0.2
info:
  title: 🛠️ Basic API
  version: v1.0.0
servers:
  - url: https://api.chainbase.online
    description: production server
security: []
paths:
  /v1/account/txs:
    get:
      tags:
        - Transaction
      summary: Get transactions by account
      description: Returns the transactions from the address.
      operationId: GetAccountTxs
      parameters:
        - description: >-
            chain network id, see [list of
            details](/platform/features/api/web3-api)
          required: true
          schema:
            title: Chain Id
            type: string
            description: >-
              chain network id, see [list of
              details](/platform/features/api/web3-api)
          example: '1'
          name: chain_id
          in: query
        - description: A hex string referencing a wallet address
          required: true
          schema:
            title: Address
            pattern: ^0[xX]{1}[a-fA-F0-9]{40}$
            type: string
            description: A hex string referencing a wallet address
          example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
          name: address
          in: query
        - description: Inclusive from block number (hex string or int)
          required: false
          schema:
            title: From Block
            type: string
            description: Inclusive from block number (hex string or int)
          name: from_block
          in: query
        - description: Inclusive to block number (hex string, int, or 'latest')
          required: false
          schema:
            title: To Block
            type: string
            description: Inclusive to block number (hex string, int, or 'latest')
          example: latest
          name: to_block
          in: query
        - description: Inclusive from block number (hex string or int)
          required: false
          schema:
            title: From Timestamp
            type: integer
            description: Inclusive from block number (hex string or int)
          name: from_timestamp
          in: query
        - description: Inclusive end timestamp
          required: false
          schema:
            title: End Timestamp
            type: integer
            description: Inclusive end timestamp
          name: end_timestamp
          in: query
        - description: The page offset
          required: false
          schema:
            title: Page
            minimum: 1
            type: integer
            description: The page offset
            default: 1
          name: page
          in: query
        - description: The desired page size limit. Less or equal than 100
          required: false
          schema:
            title: Limit
            maximum: 100
            minimum: 1
            type: integer
            description: The desired page size limit. Less or equal than 100
            default: 20
          name: limit
          in: query
        - required: true
          schema:
            title: X-Api-Key
            type: string
            example: demo
          example: demo
          name: x-api-key
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseGetAccountTxs'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    ResponseGetAccountTxs:
      title: ResponseGetAccountTxs
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 0
        message:
          title: Message
          type: string
          default: ok
        data:
          title: Data
          type: array
          items:
            $ref: '#/components/schemas/TxDetail'
        next_page:
          title: Next Page
          type: integer
        count:
          title: Count
          type: integer
    ErrorMessage:
      title: ErrorMessage
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: integer
        message:
          title: Message
          type: string
    TxDetail:
      title: TxDetail
      required:
        - type
        - status
        - block_number
        - block_timestamp
        - transaction_hash
        - transaction_index
        - from_address
        - to_address
        - value
        - input
        - nonce
        - contract_address
        - gas
        - gas_price
        - gas_used
        - effective_gas_price
        - cumulative_gas_used
        - max_fee_per_gas
        - max_priority_fee_per_gas
        - tx_fee
        - saving_fee
        - burnt_fee
      type: object
      properties:
        type:
          title: Type
          type: integer
          description: 'tx type, 0: LegacyTx, 1: AccessListTx, 2: DynamicFeeTx, 3: BlobTx'
        status:
          title: Status
          type: integer
          description: 'tx status, 0: failed, 1: success'
        block_number:
          title: Block Number
          type: integer
          description: block number
        block_timestamp:
          title: Block Timestamp
          type: string
          description: block time
          format: date-time
        transaction_hash:
          title: Transaction Hash
          type: string
          description: transaction hash
        transaction_index:
          title: Transaction Index
          type: integer
          description: transaction index
        from_address:
          title: From Address
          type: string
          description: from address
        to_address:
          title: To Address
          type: string
          description: to address
        value:
          title: Value
          type: string
          description: tx value
        input:
          title: Input
          type: string
          description: tx input
        nonce:
          title: Nonce
          type: integer
          description: from address nonce
        contract_address:
          title: Contract Address
          type: string
          description: contract address, when tx is contract creation tx
        gas:
          title: Gas
          type: integer
          description: gas limit
        gas_price:
          title: Gas Price
          type: integer
          description: gas price
        gas_used:
          title: Gas Used
          type: integer
          description: gas used
        effective_gas_price:
          title: Effective Gas Price
          type: integer
          description: effective gas price
        cumulative_gas_used:
          title: Cumulative Gas Used
          type: integer
          description: cumulative gas used
        max_fee_per_gas:
          title: Max Fee Per Gas
          type: integer
          description: max fee per gas
        max_priority_fee_per_gas:
          title: Max Priority Fee Per Gas
          type: integer
          description: max priority fee per gas
        tx_fee:
          title: Tx Fee
          type: integer
          description: tx fee
        saving_fee:
          title: Saving Fee
          type: integer
          description: saving fee
        burnt_fee:
          title: Burnt Fee
          type: integer
          description: burnt fee

````